## org.openorb.iiop
Class IIOPProtocolInitializer

    java.lang.Object
      |
      +--org.apache.avalon.framework.logger.AbstractLogEnabled
            |
            +--org.openorb.iiop.IIOPProtocolInitializer

All Implemented Interfaces:
  FeatureInitializer, org.apache.avalon.framework.logger.LogEnabled

public class IIOPProtocolInitializer
extends org.apache.avalon.framework.logger.AbstractLogEnabled
implements FeatureInitializer

Version:
  $Revision: 1.21 $ $Date: 2002/07/14 19:05:40 $
Author:
  Chris Wood

Constructor Summary
`IIOPProtocolInitializer()`

Method Summary
`void` `init(ORBInitInfo orbinfo, FeatureInitInfo featureinfo)` This is called immediatly after any pre_init interception points in ORBInitializers.

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IIOPProtocolInitializer

    public IIOPProtocolInitializer()

Method Detail

### init

    public void init(ORBInitInfo orbinfo,
                     FeatureInitInfo featureinfo)

  Description copied from interface: `FeatureInitializer`
  This is called immediatly after any pre_init interception points in ORBInitializers. The orb reference available from the FeatureInitInfo should be treated with care, it can not be used for any request functions or for creating object references.
  Specified by:
    `init` in interface `FeatureInitializer`